classification
Title: PEP 525 asynchronous generators implementation
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: haypo, lukasz.langa, martin.panter, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2016-09-07 17:29 by yselivanov, last changed 2016-11-09 00:46 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
asyncgen_1.patch yselivanov, 2016-09-07 17:29 review
async_gen.patch yselivanov, 2016-09-09 05:03
Messages (7)
msg274845 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-07 17:29
The PEP has been accepted, let's review the reference implementation and get it committed.
msg275257 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-09 05:02
New changeset 5259588983ca by Yury Selivanov in branch 'default':
Issue #28003: Implement PEP 525 -- Asynchronous Generators.
https://hg.python.org/cpython/rev/5259588983ca
msg275258 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-09 05:02
Committed. Thanks Victor for the review!
msg275270 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-09-09 07:02
I am getting a new GCC warning:

./Python/sysmodule.c:1425:28: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
     {"set_asyncgen_hooks", sys_set_asyncgen_hooks,
                            ^~~~~~~~~~~~~~~~~~~~~~
./Python/sysmodule.c:1425:28: note: (near initialization for ‘sys_methods[34].ml_meth’)
msg275272 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-09 07:06
New changeset 910e293663cb by Yury Selivanov in branch 'default':
Issue #28003: Fix a compiler warning
https://hg.python.org/cpython/rev/910e293663cb
msg275273 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-09 07:06
Thanks, Martin, it should be fixed now.
msg280365 - (view) Author: Roundup Robot (python-dev) Date: 2016-11-09 00:46
New changeset 9f32ef6b210b by Yury Selivanov in branch '3.6':
Issue #28003: Make WrappedVal, ASend and AThrow GC types
https://hg.python.org/cpython/rev/9f32ef6b210b

New changeset 6f51b495656c by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28003)
https://hg.python.org/cpython/rev/6f51b495656c
History
Date User Action Args
2016-11-09 00:46:48python-devsetmessages: + msg280365
2016-09-09 07:06:25yselivanovsetmessages: + msg275273
2016-09-09 07:06:08python-devsetmessages: + msg275272
2016-09-09 07:02:09martin.pantersetnosy: + martin.panter
messages: + msg275270
2016-09-09 05:03:18yselivanovsetfiles: + async_gen.patch
2016-09-09 05:02:50yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-09-09 05:02:37yselivanovsetmessages: + msg275258
2016-09-09 05:02:03python-devsetnosy: + python-dev
messages: + msg275257
2016-09-07 17:29:34yselivanovcreate